-- local l = require("pandoc.logging")
local stringify = pandoc.utils.stringify
local Link = pandoc.Link

SCRIPT_NAME = "insert_url.lua"
os.setlocale("C")

return {
  { Meta = function (meta)
    local target = PANDOC_STATE["input_files"][1]
    local title = stringify(meta["title"] or target)
    meta["url"] = Link(title, target)
    return meta
  end }
}
